Skip to main content

Provider

View as Markdown

Listing object

idstringPublic Preview
summaryobjectPublic Preview
Show child attributesHide child attributes
namestringPublic Preview
subtitlestringPublic Preview
statusstringPublic Preview

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobjectPublic Preview
Show child attributesHide child attributes
namestringPublic Preview
typestringPublic Preview

Values:

  • SAMPLE
  • FULL
provider_regionobjectPublic Preview
Show child attributesHide child attributes
cloudstringPublic Preview
regionstringPublic Preview
settingobjectPublic Preview
Show child attributesHide child attributes
visibilitystringPublic Preview

Values:

  • PUBLIC
  • PRIVATE
created_atint64Public Preview
created_bystringPublic Preview
updated_atint64Public Preview
updated_bystringPublic Preview
published_atint64Public Preview
published_bystringPublic Preview
categoriesarray of stringPublic Preview

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestringPublic Preview

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64Public Preview
updated_by_idint64Public Preview
provider_idstringPublic Preview
exchange_idsarray of stringPublic Preview
git_repoobjectPublic Preview

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstringPublic Preview

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobjectPublic Preview
Show child attributesHide child attributes
descriptionstringPublic Preview
terms_of_servicestringPublic Preview
file_idsarray of stringPublic Preview
embedded_notebook_file_infosarray of objectPublic Preview
Show child attributesHide child attributes
idstringPublic Preview
marketplace_file_typestringPublic Preview

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobjectPublic Preview
Show child attributesHide child attributes
parent_idstringPublic Preview
file_parent_typestringPublic Preview

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
mime_typestringPublic Preview
created_atint64Public Preview
updated_atint64Public Preview
display_namestringPublic Preview

Name displayed to users for applicable files, e.g. embedded notebooks

statusstringPublic Preview

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestringPublic Preview

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestringPublic Preview

Which geo region the listing data is collected from

coststringPublic Preview

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstringPublic Preview

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobjectPublic Preview

How often data is updated

Show child attributesHide child attributes
intervalint64Public Preview
unitstringPublic Preview

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobjectPublic Preview

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64Public Preview
unitstringPublic Preview

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64Public Preview

The starting date timestamp for when the data spans

collection_date_endint64Public Preview

The ending date timestamp for when the data spans

data_sourcestringPublic Preview

Where/how the data is sourced

sizedoublePublic Preview

size of the dataset in GB

assetsarray of stringPublic Preview

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestringPublic Preview

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of objectPublic Preview

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestringPublic Preview

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of stringPublic Preview

String representation of the tag value. Values should be string literals (no complex types)

Get a listing Public Preview

GET /api/2.0/marketplace-provider/listings/{id}

Get a listing

API scopes: marketplace

Parameters

idstringRequiredpath

Response

listingobject
Show child attributesHide child attributes
idstring
summaryobjectRequired
Show child attributesHide child attributes
namestringRequired
subtitlestring
statusstring

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
provider_regionobject
Show child attributesHide child attributes
cloudstring
regionstring
settingobject
Show child attributesHide child attributes
visibilitystring

Values:

  • PUBLIC
  • PRIVATE
created_atint64
created_bystring
updated_atint64
updated_bystring
published_atint64
published_bystring
categoriesarray of string

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestringRequired

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64
updated_by_idint64
provider_idstring
exchange_idsarray of string
git_repoobject

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstringRequired

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobject
Show child attributesHide child attributes
descriptionstring
terms_of_servicestring
file_idsarray of string
embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestring

Which geo region the listing data is collected from

coststring

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstring

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobject

How often data is updated

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobject

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64

The starting date timestamp for when the data spans

collection_date_endint64

The ending date timestamp for when the data spans

data_sourcestring

Where/how the data is sourced

sizedouble

size of the dataset in GB

assetsarray of string

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestring

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of object

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

List listings Public Preview

GET /api/2.0/marketplace-provider/listings

List listings owned by this provider

API scopes: marketplace

Parameters

page_tokenstringquery
page_sizeint32query

Response

Returns a list of Listing objects.

Create a listing Public Preview

POST /api/2.0/marketplace-provider/listing

Create a new listing

API scopes: marketplace

Request body

listingobjectRequired
Show child attributesHide child attributes
idstring
summaryobjectRequired
Show child attributesHide child attributes
namestringRequired
subtitlestring
statusstring

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
provider_regionobject
Show child attributesHide child attributes
cloudstring
regionstring
settingobject
Show child attributesHide child attributes
visibilitystring

Values:

  • PUBLIC
  • PRIVATE
created_atint64
created_bystring
updated_atint64
updated_bystring
published_atint64
published_bystring
categoriesarray of string

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestringRequired

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64
updated_by_idint64
provider_idstring
exchange_idsarray of string
git_repoobject

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstringRequired

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobject
Show child attributesHide child attributes
descriptionstring
terms_of_servicestring
file_idsarray of string
embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestring

Which geo region the listing data is collected from

coststring

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstring

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobject

How often data is updated

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobject

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64

The starting date timestamp for when the data spans

collection_date_endint64

The ending date timestamp for when the data spans

data_sourcestring

Where/how the data is sourced

sizedouble

size of the dataset in GB

assetsarray of string

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestring

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of object

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

Response

listing_idstring

Update listing Public Preview

PUT /api/2.0/marketplace-provider/listings/{id}

Update a listing

API scopes: marketplace

Parameters

idstringRequiredpath

Request body

listingobjectRequired
Show child attributesHide child attributes
idstring
summaryobjectRequired
Show child attributesHide child attributes
namestringRequired
subtitlestring
statusstring

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
provider_regionobject
Show child attributesHide child attributes
cloudstring
regionstring
settingobject
Show child attributesHide child attributes
visibilitystring

Values:

  • PUBLIC
  • PRIVATE
created_atint64
created_bystring
updated_atint64
updated_bystring
published_atint64
published_bystring
categoriesarray of string

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestringRequired

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64
updated_by_idint64
provider_idstring
exchange_idsarray of string
git_repoobject

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstringRequired

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobject
Show child attributesHide child attributes
descriptionstring
terms_of_servicestring
file_idsarray of string
embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestring

Which geo region the listing data is collected from

coststring

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstring

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobject

How often data is updated

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobject

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64

The starting date timestamp for when the data spans

collection_date_endint64

The ending date timestamp for when the data spans

data_sourcestring

Where/how the data is sourced

sizedouble

size of the dataset in GB

assetsarray of string

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestring

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of object

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

Response

listingobject
Show child attributesHide child attributes
idstring
summaryobjectRequired
Show child attributesHide child attributes
namestringRequired
subtitlestring
statusstring

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
provider_regionobject
Show child attributesHide child attributes
cloudstring
regionstring
settingobject
Show child attributesHide child attributes
visibilitystring

Values:

  • PUBLIC
  • PRIVATE
created_atint64
created_bystring
updated_atint64
updated_bystring
published_atint64
published_bystring
categoriesarray of string

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestringRequired

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64
updated_by_idint64
provider_idstring
exchange_idsarray of string
git_repoobject

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstringRequired

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobject
Show child attributesHide child attributes
descriptionstring
terms_of_servicestring
file_idsarray of string
embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestring

Which geo region the listing data is collected from

coststring

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstring

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobject

How often data is updated

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobject

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64

The starting date timestamp for when the data spans

collection_date_endint64

The ending date timestamp for when the data spans

data_sourcestring

Where/how the data is sourced

sizedouble

size of the dataset in GB

assetsarray of string

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestring

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of object

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

Delete a listing Public Preview

DELETE /api/2.0/marketplace-provider/listings/{id}

Delete a listing

API scopes: marketplace

Parameters

idstringRequiredpath

Get provider Public Preview

GET /api/2.0/marketplace-provider/providers/{id}

Get provider profile

API scopes: marketplace

Parameters

idstringRequiredpath

Response

providerobject
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

List providers Public Preview

GET /api/2.0/marketplace-provider/providers

List provider profiles for account.

API scopes: marketplace

Parameters

page_tokenstringquery
page_sizeint32query

Response

providersarray of object
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring
next_page_tokenstring

Create a provider Public Preview

POST /api/2.0/marketplace-provider/provider

Create a provider

API scopes: marketplace

Request body

providerobjectRequired
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

Response

idstring

Update provider Public Preview

PUT /api/2.0/marketplace-provider/providers/{id}

Update provider profile

API scopes: marketplace

Parameters

idstringRequiredpath

Request body

providerobjectRequired
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

Response

providerobject
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

Delete provider Public Preview

DELETE /api/2.0/marketplace-provider/providers/{id}

Delete provider

API scopes: marketplace

Parameters

idstringRequiredpath

All personalization requests across all listings Public Preview

GET /api/2.0/marketplace-provider/personalization-requests

List personalization requests to this provider. This will return all personalization requests, regardless of which listing they are for.

API scopes: marketplace

Parameters

page_tokenstringquery
page_sizeint32query

Response

personalization_requestsarray of object
Show child attributesHide child attributes
idstring
consumer_regionobjectRequired
Show child attributesHide child attributes
cloudstring
regionstring
contact_infoobject
Show child attributesHide child attributes
first_namestring
last_namestring
emailstring
companystring
commentstring
intended_usestring
statusstring

Values:

  • NEW
  • REQUEST_PENDING
  • FULFILLED
  • DENIED
status_messagestring
shareobject

Share information is required for data listings but should be empty/ignored for non-data listings (MCP and App).

Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
created_atint64
listing_idstring
updated_atint64
metastore_idstring
listing_namestring
is_from_lighthouseboolean
provider_idstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
next_page_tokenstring

Update personalization request status Public Preview

PUT /api/2.0/marketplace-provider/listings/{listing_id}/personalization-requests/{request_id}/request-status

Update personalization request. This method only permits updating the status of the request.

API scopes: marketplace

Parameters

listing_idstringRequiredpath
request_idstringRequiredpath

Request body

statusstringRequired

Values:

  • NEW
  • REQUEST_PENDING
  • FULFILLED
  • DENIED
reasonstring
shareobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL

Response

requestobject
Show child attributesHide child attributes
idstring
consumer_regionobjectRequired
Show child attributesHide child attributes
cloudstring
regionstring
contact_infoobject
Show child attributesHide child attributes
first_namestring
last_namestring
emailstring
companystring
commentstring
intended_usestring
statusstring

Values:

  • NEW
  • REQUEST_PENDING
  • FULFILLED
  • DENIED
status_messagestring
shareobject

Share information is required for data listings but should be empty/ignored for non-data listings (MCP and App).

Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
created_atint64
listing_idstring
updated_atint64
metastore_idstring
listing_namestring
is_from_lighthouseboolean
provider_idstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN

Get a file Public Preview

GET /api/2.0/marketplace-provider/files/{file_id}

Get a file

API scopes: marketplace

Parameters

file_idstringRequiredpath

Response

file_infoobject
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

List files Public Preview

GET /api/2.0/marketplace-provider/files

List files attached to a parent entity.

API scopes: marketplace

Parameters

file_parentobjectRequiredquery
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
page_tokenstringquery
page_sizeint32query

Response

file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

next_page_tokenstring

Create a file Public Preview

POST /api/2.0/marketplace-provider/files

Create a file. Currently, only provider icons and attached notebooks are supported.

API scopes: marketplace

Request body

file_parentobjectRequired
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
marketplace_file_typestringRequired

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
mime_typestringRequired
display_namestring

Response

upload_urlstring

Pre-signed POST URL to blob storage

file_infoobject
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

Delete a file Public Preview

DELETE /api/2.0/marketplace-provider/files/{file_id}

Delete a file

API scopes: marketplace

Parameters

file_idstringRequiredpath

Get provider analytics dashboard Public Preview

GET /api/2.0/marketplace-provider/analytics_dashboard

Get provider analytics dashboard.

API scopes: marketplace

Response

idstringRequired
versionint64
dashboard_idstringRequired

dashboard_id will be used to open Lakeview dashboard.

Create provider analytics dashboard Public Preview

POST /api/2.0/marketplace-provider/analytics_dashboard

Create provider analytics dashboard. Returns Marketplace specific id. Not to be confused with the Lakeview dashboard id.

API scopes: marketplace

Response

idstringRequired

Update provider analytics dashboard Public Preview

PUT /api/2.0/marketplace-provider/analytics_dashboard/{id}

Update provider analytics dashboard.

API scopes: marketplace

Parameters

idstringRequiredpath

id is immutable property and can't be updated.

Request body

versionint64

this is the version of the dashboard template we want to update our user to current expectation is that it should be equal to latest version of the dashboard template

Response

idstringRequired

id & version should be the same as the request

versionint64
dashboard_idstringRequired

this is newly created Lakeview dashboard for the user

Get latest version of provider analytics dashboard Public Preview

GET /api/2.0/marketplace-provider/analytics_dashboard/latest

Get latest version of provider analytics dashboard.

API scopes: marketplace

Response

versionint64

version here is latest logical version of the dashboard template